summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/xgettext-c-2
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/xgettext-c-2')
-rw-r--r--[-rwxr-xr-x]gettext-tools/tests/xgettext-c-214
1 files changed, 2 insertions, 12 deletions
diff --git a/gettext-tools/tests/xgettext-c-2 b/gettext-tools/tests/xgettext-c-2
index c663ded..c4eb855 100755..100644
--- a/gettext-tools/tests/xgettext-c-2
+++ b/gettext-tools/tests/xgettext-c-2
@@ -3,10 +3,6 @@
# Test C support: comments meant for xgettext, and whitespace.
-tmpfiles=""
-trap 'rm -fr $tmpfiles' 1 2 3 15
-
-tmpfiles="$tmpfiles xg-c-2.in.c"
cat <<EOF > xg-c-2.in.c
This is a test of the xgettext functionality.
/* xgettext:no-c-format */
@@ -21,14 +17,10 @@ _
)
EOF
-tmpfiles="$tmpfiles xg-c-2.tmp.po xg-c-2.po"
: ${XGETTEXT=xgettext}
-${XGETTEXT} -d xg-c-2.tmp -k_ --omit-header --no-location xg-c-2.in.c
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
-LC_ALL=C tr -d '\r' < xg-c-2.tmp.po > xg-c-2.po
-test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+${XGETTEXT} -d xg-c-2.tmp -k_ --omit-header --no-location xg-c-2.in.c || exit 1
+LC_ALL=C tr -d '\r' < xg-c-2.tmp.po > xg-c-2.po || exit 1
-tmpfiles="$tmpfiles xg-c-2.ok"
cat <<EOF > xg-c-2.ok
#, no-c-format
msgid "extract me"
@@ -45,6 +37,4 @@ EOF
${DIFF} xg-c-2.ok xg-c-2.po
result=$?
-rm -fr $tmpfiles
-
exit $result